### Function

# GtkWidgetActionActivateFunc

#### Declaration

    void
    (* GtkWidgetActionActivateFunc) (
      GtkWidget* widget,
      const char* action_name,
      GVariant* parameter
    )

#### Description [src]

The type of the callback functions used for activating actions installed with gtk_widget_class_install_action().

The `parameter` must match the `parameter_type` of the action.

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget to which the action belongs.

  The data is owned by the caller of the function.

`action_name`

  Type: `const char*`

  The action name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parameter`

  Type: `GVariant`

  Parameter for activation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.